Skip to main content
`Ctrl`+`K`

# STGetMatMode

Gets a flag that indicates how the transformed matrices are stored in spectral transformations.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetMatMode(ST st,STMatMode *mode)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- mode - the mode flag

## See Also

ST: Spectral Transformation, `STSetMatMode()`, `STMatMode`

## Level

intermediate

## Location

src/sys/classes/st/interface/stset.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages